View Issue Details

IDProjectCategoryView StatusLast Update
0002131Ham Radio DeluxeBugpublic2017-07-19 12:14
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version6.4.0.660 
Target VersionFixed in Version6.4.0.664 
Summary0002131: Rig Control: incorrect commands often sent to Yaesu radios
DescriptionWhile watching the a between the radio and the application, I see that several commands are repeatedly sent to Yaesu radios.
Steps To Reproduce1) Run a debug build under a debugger
2) Connect to my FT-450D
3) Watch the debug output for the radio communication

BUG#1) Several "read meter" ("RM;") commands are sent every second. These get an error ("?;") response because they must have a parameter identifies which meter (like "RM4;")
BUG#2) "SM1;" command is often sent, this is meant to read a secondary or "sub" S-meter. This radio has no such feature, so the command results in an error ("?;") response.

TagsFT450D, FT991, FT991A, FTDX3000, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
TestingNot Started

Relationships

Activities

K7ZCZ

2017-07-14 09:47

viewer   ~0003649

I have made this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3625

which addresses the RM commands for the FT-450D radio.

The same checkin stops querying the non-existing SM1 sub-meter for these radios:

FT-450D
FT-991A
FT-991
FT-DX 3000

I believe the issue applies to a few other radios, but those are the only ones for which I have protocol documentation at this time.

Finally, I think this same checkin resolves issues with not being able to read the S-meter on the FT-991A at all. This should fix issues with S-meter related functions, like HRD's software-driven scanning.

WA9PIE

2017-07-19 12:14

administrator   ~0003687

All shipped as part of the 664 release.

Issue History

Date Modified Username Field Change
2017-07-14 08:57 K7ZCZ New Issue
2017-07-14 08:57 K7ZCZ Tag Attached: Yaesu
2017-07-14 08:59 K7ZCZ Description Updated View Revisions
2017-07-14 08:59 K7ZCZ Steps to Reproduce Updated View Revisions
2017-07-14 08:59 K7ZCZ Module (select) => Rig Control
2017-07-14 08:59 K7ZCZ Sub-Module (select) => Radio Support
2017-07-14 08:59 K7ZCZ Tag Attached: FT450D
2017-07-14 09:42 K7ZCZ Tag Attached: FT991
2017-07-14 09:42 K7ZCZ Tag Attached: FT991A
2017-07-14 09:42 K7ZCZ Tag Attached: FTDX3000
2017-07-14 09:47 K7ZCZ Note Added: 0003649
2017-07-14 09:47 K7ZCZ Assigned To => K7ZCZ
2017-07-14 09:47 K7ZCZ Status new => assigned
2017-07-14 09:47 K7ZCZ Status assigned => resolved
2017-07-14 09:47 K7ZCZ Resolution open => fixed
2017-07-16 14:48 WA9PIE Fixed in Version => 6.4.0.664
2017-07-19 12:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-19 12:14 WA9PIE Note Added: 0003687
2017-07-19 12:14 WA9PIE Status resolved => closed